For AI agents: a documentation index is available at https://www.mongodb.com/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.
See how MongoDB 9.0 delivers up to 2x higher throughput.
MongoDB Branding Shape
Register now >
Docs Menu

Stop Monitoring One Host

Note

Groups and projects are synonymous terms. Your {PROJECT-ID} is the same as your group id. For existing groups, your group/project id remains the same. This page uses the more familiar term group when referring to descriptions. The endpoint remains as stated in the document.

Stops the Monitoring from monitoring the MongoDB process on the hostname and port you specify.

Base URL: https://cloud.mongodb.com/api/public/v1.0

DELETE /groups/{PROJECT-ID}/hosts/{HOST-ID}
Parameter
Type
Description

PROJECT-ID

string

(Required.) Unique identifier of the project that owns this MongoDB host.

HOST-ID

string

(Required.) Unique identifier of the host for the MongoDB process.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether to return the response body in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

This endpoint doesn't use HTTP request body parameters.

This endpoint does not have response elements.

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--include \
--request DELETE "https://cloud.mongodb.com/api/public/v1.0/groups/{PROJECT-ID}/hosts/{HOST-ID}"

This endpoint doesn't return a response body.